POST api/batchapi/medistreamstate

Request Information

URI Parameters

None.

Body Parameters

MedistreamStateViewModel
NameDescriptionTypeAdditional information
medistream_id

globally unique identifier

None.

batch_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "medistream_id": "f6d3a677-16e3-42f8-b7ff-d8365444314d",
  "batch_id": "b4450aba-3f7e-4961-aa79-b766fc100053"
}

application/xml, text/xml

Sample:
<medistream_state xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>b4450aba-3f7e-4961-aa79-b766fc100053</batch_id>
  <medistream_id>f6d3a677-16e3-42f8-b7ff-d8365444314d</medistream_id>
</medistream_state>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

integer

Response Formats

application/json, text/json

Sample:
1

application/xml, text/xml

Sample:
<int xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1</int>